Lavalite package that provides groups management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/groups`.

    "restaurant/groups": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\Groups\Providers\GroupsServiceProvider::class,

And also add it to alias

    'Groups'  => Restaurant\Groups\Facades\Groups::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\GroupsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\Groups\Providers\GroupsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\Groups\Providers\GroupsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\Groups\Providers\GroupsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/groups/{modulename}

**User**

    http://path-to-route-folder/user/groups/{modulename}

**Public**

    http://path-to-route-folder/groups


### API endpoints

**List**

    http://path-to-route-folder/api/user/groups/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/groups/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/groups/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/groups/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/groups/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/groups/{modulename}/{slug}
    METHOD: GET