<?php

// API routes  for group
Route::prefix('{guard}/groups')->group(function () {
    Route::get('group/form/{element}', 'GroupAPIController@form');
    Route::resource('group', 'GroupAPIController');
});

// Public routes for group
Route::get('groups/', 'GroupPublicController@index');
Route::get('groups/{slug?}', 'GroupPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for groups
            Route::prefix('{guard}/groups')->group(function () {
                Route::get('group/form/{element}', 'GroupAPIController@form');
                Route::apiResource('group', 'GroupAPIController');
            });
            // Public routes for groups
            Route::get('groups/Group', 'GroupPublicController@getGroup');
        }
    );
}

