<?php

namespace Restaurant\Groups;

use User;

class Groups
{
    /**
     * $group object.
     */
    protected $group;

    /**
     * Constructor.
     */
    public function __construct(\Restaurant\Groups\Interfaces\GroupRepositoryInterface $group)
    {
        $this->group = $group;
    }

    /**
     * Returns count of groups.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.group.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->group->pushCriteria(new \Litepie\Restaurant\Repositories\Criteria\GroupUserCriteria());
        }

        $group = $this->group->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('groups::' . $view, compact('group'))->render();
    }
}
