<?php

namespace Restaurant\Groups\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GroupTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Groups\Models\Group $group)
    {
        return [
            'id'                => $group->getRouteKey(),
            'key'               => [
                'public'    => $group->getPublicKey(),
                'route'     => $group->getRouteKey(),
            ], 
            'name'              => $group->name,
            'restaurant_id'     => $group->restaurant_id,
            'slug'              => $group->slug,
            'deleted_at'        => $group->deleted_at,
            'PRIMARY'           => $group->PRIMARY,
            'url'               => [
                'public'    => trans_url('groups/'.$group->getPublicKey()),
                'user'      => guard_url('groups/group/'.$group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$group->status),
            'created_at'        => format_date($group->created_at),
            'updated_at'        => format_date($group->updated_at),
        ];
    }
}